List SIP trunk options
curl --request GET \
--url https://api.agents.slng.ai/v1/agents/{agent_id}/sip-trunk-options \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agents.slng.ai/v1/agents/{agent_id}/sip-trunk-options"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agents.slng.ai/v1/agents/{agent_id}/sip-trunk-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"inbound": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "<string>",
"livekit_trunk_id": "<string>",
"numbers": [
"<string>"
],
"status": "<string>",
"selectable": true,
"is_current": true
}
],
"outbound": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "<string>",
"livekit_trunk_id": "<string>",
"numbers": [
"<string>"
],
"status": "<string>",
"selectable": true,
"is_current": true
}
]
}{
"detail": "Authentication is required for this endpoint."
}{
"detail": "You do not have access to this resource."
}{
"detail": "The requested resource was not found."
}{
"detail": "An unexpected internal error occurred."
}Agents
List SIP trunk options
List the organisation’s inbound and outbound SIP trunks as assignment options for this agent. Each option reports whether it is currently selectable and, when it is not, the reason (for example, the trunk is inactive or already assigned to another agent).
GET
/
v1
/
agents
/
{agent_id}
/
sip-trunk-options
List SIP trunk options
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Voice agent ID.
Example:
"550e8400-e29b-41d4-a716-446655440000"
Was this page helpful?
⌘I